#include "dac_driver.h"


/*  DAC example code.
 *
 *  This is an example code which output a triangle waveform on channel 0.
 *  The example code use a blocking while
 *  loop to ensure that the data register is empty before a new value is written.
 */
int main( void )
{
	uint16_t angle;

	//  Enable DACB, channel 0
	 
	DAC_SingleChannel_Enable( &DACB,
	                        DAC_REFSEL_AVCC_gc,
	                        false);

	//  Use a 12 bit variable to output a triangle wave
	 
	while (1) {
		for ( angle = 0; angle < 0x1000; ++angle ) {
			while ( DAC_Channel_DataEmpty( &DACB, CH0 ) == false ) {
				/* Blocking code waiting for empty register. */
			}
			DAC_Channel_Write( &DACB, angle, CH0 );
		}
		for ( angle = 0; angle < 0x1000; ++angle ) {
			while ( DAC_Channel_DataEmpty( &DACB, CH0 ) == false ) {
				/* Blocking code waiting for empty register. */
			}
			DAC_Channel_Write( &DACB, 0xFFF - angle, CH0 );
		}
	}
}
